Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.figures
Class SubConceptFigure

    java.lang.Object
      org.jhotdraw.standard.AbstractFigure
          org.jhotdraw.figures.PolyLineFigure
              org.jhotdraw.figures.LineConnection
                  org.musoft.limo.drawing.ModelConnection
                      edu.udo.cs.miningmart.gui.figures.SubConceptFigure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.jhotdraw.framework.ConnectionFigure, org.jhotdraw.framework.Figure, org.jhotdraw.framework.FigureChangeListener, org.jhotdraw.util.Storable, org.musoft.limo.model.ModelListener

    public class SubConceptFigure

extends org.musoft.limo.drawing.ModelConnection

This is the `ModelConnection` and figure of a `MiningMartSubConcept`.

Version:
  $Id: SubConceptFigure.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.musoft.limo.drawing.ModelConnection
`org.musoft.limo.drawing.ModelConnection.Label`

Field Summary

Fields inherited from class org.musoft.limo.drawing.ModelConnection
`LABEL_CENTER, LABEL_FREE, LABEL_HIDDEN`

Fields inherited from class org.jhotdraw.figures.LineConnection
`myEndConnector, myStartConnector`

Fields inherited from class org.jhotdraw.figures.PolyLineFigure
`ARROW_TIP_BOTH, ARROW_TIP_END, ARROW_TIP_NONE, ARROW_TIP_START, fEndDecoration, fFrameColor, fPoints, fStartDecoration`

Constructor Summary
`SubConceptFigure(org.musoft.limo.drawing.ModelDrawing drawing, org.musoft.limo.model.ModelConnectionElement element)` Constructor for SubConceptFigure.

Method Summary
`protected void` | `drawLine(java.awt.Graphics g, int x1, int y1, int x2, int y2)`
`MiningMartSubConcept` | `getMiningMartSubConcept()` Gets the `MiningMartSubConcept`.

Methods inherited from class org.musoft.limo.drawing.ModelConnection
`bringToFront, canConnect, changed, checkPoint, connectEnd, connectStart, disconnectEnd, disconnectStart, getElement, getLabel, getLabelFigure, getLabelPosition, onAddAssociate, onAddChild, onCreateChild, onCreateConnection, onDestroy, onRemoveAssociate, onRemoveChild, onSetAttribute, onSetAttribute, onSetBounds, onSetConnectionEnd, onSetConnectionPoints, onSetConnectionStart, onSetDirty, onSetName, onSetParent, onSetPosition, restoreLabelPosition, setLabel, setLabelFont, setLabelPosition`

Methods inherited from class org.jhotdraw.figures.LineConnection
`basicMoveBy, canConnect, connectsSame, endFigure, endPoint, endPoint, figureChanged, figureInvalidated, figureRemoved, figureRequestRemove, figureRequestUpdate, getEndConnector, getStartConnector, handleConnect, handleDisconnect, handles, insertPointAt, layoutConnection, read, release, removeFromContainer, removePointAt, setEndConnector, setPointAt, setStartConnector, startFigure, startPoint, startPoint, updateConnection, visit, write`

Methods inherited from class org.jhotdraw.figures.PolyLineFigure
`addPoint, basicDisplayBox, connectorAt, containsPoint, displayBox, draw, findSegment, getAttribute, getAttribute, getEndDecoration, getFrameColor, getStartDecoration, invalidateRectangle, isEmpty, joinSegments, locator, pointAt, pointCount, points, setAttribute, setAttribute, setEndDecoration, setFrameColor, setStartDecoration, splitSegment`

Methods inherited from class org.jhotdraw.standard.AbstractFigure
`addDependendFigure, addFigureChangeListener, addToContainer, center, clone, connectedTextLocator, connectionInsets, connectorVisibility, decompose, displayBox, displayBox, figures, findFigureInside, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, includes, invalidate, listener, moveBy, removeDependendFigure, removeFigureChangeListener, setZValue, size, willChange`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jhotdraw.framework.ConnectionFigure
`joinSegments, pointAt, pointCount, splitSegment`

Methods inherited from interface org.jhotdraw.framework.Figure
`addDependendFigure, addFigureChangeListener, addToContainer, basicDisplayBox, center, clone, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, displayBox, displayBox, draw, figures, findFigureInside, getAttribute, getAttribute, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, includes, invalidate, isEmpty, listener, moveBy, removeDependendFigure, removeFigureChangeListener, setAttribute, setAttribute, setZValue, size, willChange`

Constructor Detail

### SubConceptFigure

    public SubConceptFigure(org.musoft.limo.drawing.ModelDrawing drawing,
                            org.musoft.limo.model.ModelConnectionElement element)

  Constructor for SubConceptFigure.

Method Detail

### getMiningMartSubConcept

    public MiningMartSubConcept getMiningMartSubConcept()

  Gets the `MiningMartSubConcept`.

### drawLine

    protected void drawLine(java.awt.Graphics g,
                            int x1,
                            int y1,
                            int x2,
                            int y2)

  Overrides:
    `drawLine` in class `org.jhotdraw.figures.PolyLineFigure`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005